/**
 * @(#)BombPanel.java 1.5 1998/06/21
 * eQ[
 *  JDK1.1.X + swing1.02
 * @version 1.5
 * @author Qini.Nakagawa
 */

package jp.gr.java_conf.narick.game.mine;
import jp.gr.java_conf.narick.game.mine.*;
import javax.swing.*;
import java.awt.*;
import java.awt.event.*;
import java.util.ResourceBundle;
import java.util.Locale;

/** \pl x[XNX */
public class BombPanel extends JPanel implements ActionListener {
    BombCanvas mCanvas;
//    status enum.
    Image panelImage[];
//    [NGA̐
    public BombPanel(BombCanvas canvas){
        setLayout(new BoxLayout(this, BoxLayout.Y_AXIS));
        JPanel p = new JPanel();
        mCanvas = canvas;
        p.add(mCanvas.lcdRest);
        p.add(new JLabel(BombBase.res.getString("REST")));
        JButton resetJButton = new JButton(BombBase.res.getString("RESET"));
        resetJButton.addActionListener(new ActionListener(){
            public void actionPerformed(ActionEvent e ){
                mCanvas.reset();
            }
        });
        p.add(resetJButton);
        p.add(new JLabel(BombBase.res.getString("TIME")));
        p.add(mCanvas.lcdTime);
        add(p);
        p = new JPanel();
        p.add(mCanvas);
        add(p);
    }
    public void actionPerformed(ActionEvent e){
        if (e.getSource() instanceof MenuItem){
            String s = ((MenuItem)e.getSource()).getName();
            if (s.equals("EASY")){
                mCanvas.setMode(0);
            }else if (s.equals("INTERMEDIATE")){
                mCanvas.setMode(1);
            }else if (s.equals("DIFFICULT")){
                mCanvas.setMode(2);
            }
            if ( getParent() instanceof Frame ){
                ((Frame)getParent()).pack();
            } else {
                mCanvas.invalidate();
                getParent().validate();
            }
        }
    }
}
