//----------------------------------------------------------------------
//
//    StopWatch.java    :    ^C}[
//
//        Qini.Nakagawa
//
//----------------------------------------------------------------------
package jp.gr.java_conf.narick.game.mine;
import jp.gr.java_conf.narick.game.mine.*;
import jp.gr.java_conf.narick.util.JLcd;
import java.awt.*;
import java.applet.*;
import java.util.Date;

class StopWatch extends JLcd implements Runnable {
    long startTime;            //    Q[X^[g̎
    long currentTime = 0;    //    ݂̕\b * 1000
    Date date;
    Thread thread;
    /** RXgN^ */
    public StopWatch(){
        init();
        resetTimer();
    }
//    run
    public void run(){
        while ( thread != null ){
            try{
                Thread.currentThread().sleep( 100 );
            }
            catch( InterruptedException e ){
            }
            checkTime();
        }
    }
    public long getTime(){
        return currentTime / 1000;
    }
    public void startTimer(){
        date = new Date();
        startTime = date.getTime() - currentTime;
        if ( thread == null ){
            thread = new Thread( this );
            thread.start();
        }
    }
    public void stopTimer(){
        date = new Date();
	thread = null;
//        fRunning = false;
        currentTime = ( date.getTime() - startTime );
        diactivate();
    }
    public void resetTimer(){
        currentTime = 999;
        drawTime();
    }
    public void diactivate(){
        thread = null;
    }
    public void activate(){
        if ( thread == null ){
            thread = new Thread( this );
            thread.start();
        }
    }
    /** ^C}[̕\ */
    void checkTime(){
        date = new Date();
        long now = date.getTime() - startTime;
        if (currentTime / 1000 == now / 1000 ) return;
        currentTime = now;
        drawTime();
    }
    /** Ԃ̕\ */
    public void drawTime(){
        setValue((int)(currentTime/1000));
    }
}

