/**
 */

package jp.gr.java_conf.narick.util;

import java.beans.*;
public class LcdBeanInfo extends SimpleBeanInfo {

    private final static Class 
    sourceClass = jp.gr.java_conf.narick.util.Lcd.class;

    public java.awt.Image getIcon(int iconKind) {
        if (iconKind == BeanInfo.ICON_COLOR_16x16) {
            java.awt.Image img = loadImage("LcdIconColor16.gif");
            return img;
        }
        if (iconKind == BeanInfo.ICON_COLOR_32x32) {
            java.awt.Image img = loadImage("LcdIconColor32.gif");
            return img;
        }
        if (iconKind == BeanInfo.ICON_MONO_16x16) {
            java.awt.Image img = loadImage("LcdIconMono16.gif");
            return img;
        }
        if (iconKind == BeanInfo.ICON_MONO_32x32) {
            java.awt.Image img = loadImage("LcdIconMono32.gif");
            return img;
        }
        return null;
    }
    public PropertyDescriptor[] getPropertyDescriptors(){
        try {
            PropertyDescriptor pds[] = new PropertyDescriptor[5];
            pds[4] = new PropertyDescriptor("value", sourceClass);
            pds[1] = new PropertyDescriptor("figure", sourceClass);
            pds[3] = new PropertyDescriptor("shineColor", sourceClass);
            pds[2] = new PropertyDescriptor("offColor", sourceClass);
            pds[0] = new PropertyDescriptor("backColor", sourceClass);
            return pds;
        }
        catch (IntrospectionException e) {
            throw new Error(e.toString());
        }
    }
}
